<?php
	include_once(__DIR__."/../../core.php");
	
	switch( $html->form('op', 'post') ){
		case "update":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				$descrizione = save($_POST['descrizione']);
				$colore = save($_POST['colore']);

				$query = "UPDATE in_statiintervento SET colore=\"$colore\" WHERE idstatointervento=\"".$id_record."\"";
				$rs = $dbo->query( $query );
				
				//Aggiorna descrizione solo se non è uno stato di default
				$query = "UPDATE in_statiintervento SET descrizione=\"$descrizione\" WHERE idstatointervento=\"".$id_record."\"";
				$rs = $dbo->query( $query );
				array_push( $_SESSION['infos'], "Informazioni salvate correttamente!" );
			}
			break;

		case "add":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				$idstatointervento = save( $_POST['idstatointervento'] );
				$descrizione = save( $_POST['descrizione'] );
				
				$colore = save( $_POST['colore'] );

				$query = "INSERT INTO in_statiintervento( idstatointervento, descrizione, colore ) VALUES ( \"".$idstatointervento."\", \"".$descrizione."\", \"".$colore."\" )";
				$dbo->query($query);
				$id_record = $idstatointervento;
				
				array_push( $_SESSION['infos'], "Nuovo stato di intervento aggiunto!" );
			}
			break;

		case "delete":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				$query="DELETE FROM in_statiintervento WHERE idstatointervento=\"".$id_record."\"";
				$rs = $dbo->query($query);
			}
			break;
	}
?>
